cls
@ECHO OFF
ECHO. 
ECHO *******************************************
ECHO Author: www.tenemaza.com 
ECHO Task: Delete Windows temporary files  
ECHO *******************************************
ECHO. 
ECHO. Deleting in: %windir%\Temp\ ...
	del /f /s /q "%windir%\Temp\*.*"  
ECHO. Deleting thumbs.db created by windows ...
	del /s /f /q "thumbs.db"  
ECHO. Deleting other application data .... 
	del /f /q /s %userprofile%\Application Data\Microsoft\Office\Recent\*.*  
	del /f /s /q "%systemdrive%\Users\Default\AppData\Local\Microsoft\Windows\History\*.*"  
	del /f /s /q "%systemdrive%\Users\Default\AppData\Local\Microsoft\Windows\Temporary Internet Files\*.*"  
	del /f /s /q "%systemdrive%\Users\Default\AppData\Local\Temp\*.*"  
	del /f /s /q "%systemdrive%\Users\Default\AppData\Roaming\Microsoft\Windows\Cookies\*.*"  
	del /f /s /q "%systemdrive%\Users\Default\AppData\Roaming\Microsoft\Windows\Recent\*.*"  
	del /f /s /q "%systemdrive%\Windows\Downloaded Program Files\*.*"  
	del /f /s /q "%ProgramData%\Apple\Installer Cache\*.*"  
	del /f /s /q "%ProgramData%\Apple Computer\Installer Cache\*.*"  
	del /f /s /q "%ProgramData%\Microsoft\Search\Data\Temp\*.*"  
	del /f /s /q "%ProgramData%\Temp\*.*"  
	del /f /s /q "%appdata%\Adobe\Flash Player\AssetCache\*.*"  
	del /f /s /q "%appdata%\Macromedia\Flash Player\#SharedObjects\*.*"  
	del /f /s /q "%appdata%\Macromedia\Flash Player\macromedia.com\support\flashplayer\sys\*.*"  
	del /f /s /q "%appdata%\Macromedia\Flash Player\macromedia.com\support\flashplayer\sys\*.*"  
	del /f /s /q "%appdata%\Microsoft\Windows\Cookies\*.*"  
	del /f /s /q "%appdata%\Microsoft\Windows\Recent\*.*"  
	del /f /s /q "%appdata%\Mozilla\Firefox\Crash Reports\*.*"  
	del /f /s /q "%appdata%\Sun\Java\Deployment\cache*.*"  
	del /f /s /q "%appdata%\uTorrent\*.*"  
	del /f /s /q "%userprofile%\AppData\Local\Temp"  
	del /f /s /q "%userprofile%\AppData\LocalLow\Temp"  
	del /f /s /q "%userprofile%\AppData\Local\Microsoft\Windows Photo Gallery\original Images\*.*"  
	del /f /s /q "%userprofile%\AppData\Local\Microsoft\Windows\Burn\*.*"  
	del /f /s /q "%userprofile%\AppData\Local\Microsoft\Windows\Explorer\*.*"  
	del /f /s /q "%userprofile%\AppData\Local\Microsoft\Windows\History\*.*"  
	del /f /s /q "%userprofile%\AppData\Local\Microsoft\Windows\Temporary Internet Files\*.*"  
	del /f /s /q "%userprofile%\AppData\Local\Mozilla\Firefox\Profiles\*\Cache\*.*"  
	del /f /s /q "%userprofile%\AppData\Local\Microsoft\Windows\Explorer\*.db"  
	del /f /s /q "%appdata%\Microsoft\Windows\cookies\*.*"   
	del /f /s /q "%appdata%\Microsoft\Windows\Recent\*.*"  
	del /f /s /q "%windir%\prefetch\*.*"  
	del /f /s /q "%windir%\SoftwareDistribution\Download\*.*"  
	del /f /s /q "%userprofile%\local settings\temp\*.*"
	del /f /s /q "%systemdrive%\Logs\*.*"
ECHO. Deleting in Windows 7 or Windows Vista ....
ECHO. Mozzilla Firefox: 
	del /f /s /q "%Userprofile%\AppData\Roaming\Microsoft\Windows\Cookies\*.*"
	del /f /s /q "%Userprofile%\AppData\Local\Microsoft\Windows\Temporary Internet Files\*.*"
	del /f /s /q "%Userprofile%\AppData\Local\Microsoft\Windows\History\*.*"
	REM In Windows XP with Firefox 
	del /f /s /q "%Userprofile%\Application Data\Mozilla\*.*"
ECHO. Internet Explorer: 
	del /f /s /q "%Userprofile%\AppData\Roaming\Microsoft\Windows\Cookies\low\*.*"
	del /f /s /q "%Userprofile%\AppData\Local\Microsoft\Windows\Temporary Internet Files\*.*"
ECHO. Opera:(7x)
	del /f /s /q "%Userprofile%\AppData\Roaming\Opera\Opera75\Profile\*.*"
ECHO. Opera:(8x)
	del /f /s /q "%Userprofile%\AppData\Roaming\Opera\Opera8\Profile\*.*"
ECHO. Opera:(10.10 beta)
	del /f /s /q "%Userprofile%\AppData\Roaming\Opera\Opera 10.10 Beta\*.*"
	del /f /s /q "%Userprofile%\AppData\local\Opera\Opera 10.10 Beta\cache\*.*"
ECHO. Netscape Navigator 9.0
	del /f /s /q "%Userprofile%\AppData\Local\Netscape\Navigator\Profiles\*.*"
ECHO. Flock(2.5):
	del /f /s /q "%Userprofile%\AppData\Local\Flock\Browser\Profiles\*.*"
ECHO. MSN explorer:
	del /f /s /q "%Userprofile%\AppData\Roaming\MSN6\Userdata\*.*"
ECHO. AOL explorer:
	del /f /s /q "%Userprofile%\AppData\Roaming\Microsoft\Windows\Cookies\*.*"
	del /f /s /q "%Userprofile%\AppData\Local\Microsoft\Windows\Temporary Internet Files\*.*"
ECHO. Safari(3.0):
	del /f /s /q "%Userprofile%\AppData\Roaming\Apple Computer\Safari\*.*"
ECHO. Deleting the Internet Explorer 7 (IE7) Temporary Files...
	RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 255
ECHO. Also delete files and settings stored by add-ons for Internet Explorer 7 (IE7) 
	RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 4351	
	
PUSHD "%UserProfile%\Local Settings\Temporary Internet Files\"
IF /I "%CD%"=="%UserProfile%\Local Settings\Temporary Internet Files\" (
	RD /S /Q "%UserProfile%\Local Settings\Temporary Internet Files\" 2>NUL
)
POPD	
	
REM Clean using Windows Clean Utility 
cleanmgr.exe /dc /sagerun:1024
REM Clean using Windows Clean Utility more adavance 
REGEDIT /S cleanmgr.reg
CLEANMGR /sagerun:64
	
ECHO. We are done cleaning windows temporary clutter ... :) 
   